module.exports = {
  create: {
    requestBody: ["total", "day", "color", "batchnum", "classnum"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["total", "day", "color", "batchnum", "classnum"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        total: "total",
        day: "day",
        color: "color",
        batchnum: "batchnum",
        classnum: "classnum",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
